import axios from '@/common/services/axios-instance'
import PageService from '@/common/services/page-service'

class MapService {
  // 获取中国数据
  getChinaData() {
    return axios({
      method: 'post',
      url: 'api/xcoa-mobile/v1/iamtarget/findAuditAtlas',
    })
  }

  getWorldData() {
    return axios({
      method: 'post',
      url: 'api/xcoa-mobile/v1/iamtarget/findOverseasAuditAtlas',
    })
  }

  exportCoverageList(data) {
    return axios({
      url: `api/xcoa-mobile/v1/iamtarget/exportCoverageList`,
      method: 'POST',
      data,
      responseType: 'blob',
    }).then((res) => {
      return res.data
    })
  }
}

export default new MapService()
